package types

func NewMockDiscoveryRequest(requesterID string, requestType DiscoveryRequestType, params ...interface{}) DiscoveryRequest {
	return &MockDiscoveryRequest{
		requesterID: requesterID,
		requestType: requestType,
		params:      params,
	}
}

type MockDiscoveryRequest struct {
	requesterID string
	requestType DiscoveryRequestType
	params      []interface{}
}

func (dr *MockDiscoveryRequest) RequesterID() string {
	return dr.requesterID
}

func (dr *MockDiscoveryRequest) RequestType() DiscoveryRequestType {
	return dr.requestType
}

func (dr *MockDiscoveryRequest) Params() []interface{} {
	return dr.params
}
